-- MySQL dump 8.23
--
-- Host: localhost    Database: test_plog
---------------------------------------------------------
-- Server version	3.23.58

--
-- Table structure for table `plog_article_categories_link`
--

CREATE TABLE `plog_article_categories_link` (
  `article_id` int(10) NOT NULL default '0',
  `category_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`article_id`,`category_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_article_categories_link`
--


INSERT INTO `plog_article_categories_link` VALUES (1,1);

--
-- Table structure for table `plog_articles`
--

CREATE TABLE `plog_articles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_id` int(10) unsigned NOT NULL default '0',
  `date` timestamp(14) NOT NULL,
  `modification_date` timestamp(14) NOT NULL,
  `user_id` int(10) unsigned NOT NULL default '0',
  `blog_id` int(10) unsigned NOT NULL default '0',
  `status` int(5) NOT NULL default '1',
  `num_reads` int(10) default '0',
  `properties` text NOT NULL,
  `slug` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `num_reads` (`num_reads`),
  KEY `category_id` (`category_id`),
  KEY `blog_id` (`blog_id`),
  KEY `user_id` (`user_id`),
  KEY `slug` (`slug`),
  KEY `blog_id_slug` (`blog_id`,`slug`),
  KEY `blog_id_slug_category_id` (`blog_id`,`slug`,`category_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_articles`
--


INSERT INTO `plog_articles` VALUES (1,0,20050413115953,00000000000000,1,1,1,0,'a:0:{}','welcome');

--
-- Table structure for table `plog_articles_categories`
--

CREATE TABLE `plog_articles_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `blog_id` int(10) unsigned NOT NULL default '0',
  `last_modification` timestamp(14) NOT NULL,
  `in_main_page` tinyint(1) NOT NULL default '1',
  `parent_id` int(10) NOT NULL default '0',
  `description` text NOT NULL,
  `properties` text NOT NULL,
  `mangled_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `blog_id` (`blog_id`),
  KEY `mangled_name` (`mangled_name`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_articles_categories`
--


INSERT INTO `plog_articles_categories` VALUES (1,'General','',1,20050413115953,1,0,'','a:0:{}','general');

--
-- Table structure for table `plog_articles_comments`
--

CREATE TABLE `plog_articles_comments` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `article_id` int(10) unsigned NOT NULL default '0',
  `topic` text NOT NULL,
  `text` text,
  `date` timestamp(14) NOT NULL,
  `user_email` varchar(255) default '',
  `user_url` varchar(255) default '',
  `user_name` varchar(255) NOT NULL default 'Anonymous',
  `parent_id` int(10) unsigned default '0',
  `client_ip` varchar(15) default '0.0.0.0',
  `send_notification` tinyint(1) default '0',
  `status` tinyint(2) default '1',
  `spam_rate` float default '0',
  `properties` text NOT NULL,
  `normalized_text` text NOT NULL,
  `normalized_topic` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `article_id` (`article_id`),
  FULLTEXT KEY `normalized_fields` (`normalized_text`,`normalized_topic`),
  FULLTEXT KEY `normalized_text` (`normalized_text`),
  FULLTEXT KEY `normalized_topic` (`normalized_topic`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_articles_comments`
--



--
-- Table structure for table `plog_articles_notifications`
--

CREATE TABLE `plog_articles_notifications` (
  `id` int(10) NOT NULL auto_increment,
  `blog_id` int(10) NOT NULL default '0',
  `user_id` int(10) NOT NULL default '0',
  `article_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`),
  KEY `user_id` (`user_id`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_articles_notifications`
--



--
-- Table structure for table `plog_articles_text`
--

CREATE TABLE `plog_articles_text` (
  `id` int(10) NOT NULL auto_increment,
  `article_id` int(10) NOT NULL default '0',
  `text` text NOT NULL,
  `topic` text NOT NULL,
  `normalized_text` text NOT NULL,
  `normalized_topic` text NOT NULL,
  `mangled_topic` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`),
  FULLTEXT KEY `normalized_text` (`normalized_text`),
  FULLTEXT KEY `normalized_topic` (`normalized_topic`),
  FULLTEXT KEY `normalized_fields` (`normalized_text`,`normalized_topic`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_articles_text`
--


INSERT INTO `plog_articles_text` VALUES (1,1,'If you can read this post, it means that the registration process was successful and that you can start blogging','Congratulations!','If you can read this post, it means that the registration process was successful and that you can start blogging','Congratulations!','');

--
-- Table structure for table `plog_bayesian_filter_info`
--

CREATE TABLE `plog_bayesian_filter_info` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `blog_id` int(10) unsigned default NULL,
  `total_spam` int(10) unsigned default NULL,
  `total_nonspam` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_bayesian_filter_info`
--


INSERT INTO `plog_bayesian_filter_info` VALUES (1,1,0,0);

--
-- Table structure for table `plog_bayesian_tokens`
--

CREATE TABLE `plog_bayesian_tokens` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `blog_id` int(10) unsigned default NULL,
  `token` char(100) default NULL,
  `spam_occurrences` int(10) unsigned default NULL,
  `nonspam_occurrences` int(10) unsigned default NULL,
  `prob` float default NULL,
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`),
  KEY `token` (`token`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_bayesian_tokens`
--



--
-- Table structure for table `plog_blogs`
--

CREATE TABLE `plog_blogs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `blog` varchar(50) NOT NULL default '',
  `owner_id` int(10) unsigned NOT NULL default '0',
  `about` text,
  `settings` text NOT NULL,
  `mangled_blog` varchar(50) NOT NULL default '',
  `status` int(4) NOT NULL default '1',
  `show_in_summary` int(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `owner_id` (`owner_id`),
  KEY `mangled_blog` (`mangled_blog`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_blogs`
--


INSERT INTO `plog_blogs` VALUES (1,'new blog',1,'','O:12:\"blogsettings\":3:{s:6:\"_objId\";N;s:3:\"log\";N;s:6:\"_props\";a:11:{s:6:\"locale\";s:5:\"en_UK\";s:14:\"show_posts_max\";s:2:\"15\";s:8:\"template\";s:4:\"grey\";s:17:\"show_more_enabled\";s:1:\"1\";s:16:\"recent_posts_max\";s:2:\"10\";s:17:\"xmlrpc_ping_hosts\";a:2:{i:0;s:27:\"http://rpc.weblogs.com/RPC2\";i:1;s:0:\"\";}s:16:\"htmlarea_enabled\";s:1:\"1\";s:16:\"comments_enabled\";s:1:\"1\";s:16:\"categories_order\";i:0;s:14:\"comments_order\";s:1:\"1\";s:11:\"time_offset\";s:1:\"0\";}}','new_blog',1,1);

--
-- Table structure for table `plog_config`
--

CREATE TABLE `plog_config` (
  `id` int(10) NOT NULL auto_increment,
  `config_key` varchar(255) NOT NULL default '',
  `config_value` text NOT NULL,
  `value_type` int(3) default '0',
  PRIMARY KEY  (`id`,`config_key`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_config`
--


INSERT INTO `plog_config` VALUES (1,'comments_enabled','1',1);
INSERT INTO `plog_config` VALUES (2,'rdf_enabled','1',1);
INSERT INTO `plog_config` VALUES (3,'temp_folder','./tmp',3);
INSERT INTO `plog_config` VALUES (4,'base_url','@@APPURL@@',3);
INSERT INTO `plog_config` VALUES (5,'show_posts_max','15',1);
INSERT INTO `plog_config` VALUES (6,'recent_posts_max','10',1);
INSERT INTO `plog_config` VALUES (7,'default_template','grey',3);
INSERT INTO `plog_config` VALUES (8,'template_folder','./templates',3);
INSERT INTO `plog_config` VALUES (9,'default_blog_id','1',1);
INSERT INTO `plog_config` VALUES (10,'default_locale','en_UK',3);
INSERT INTO `plog_config` VALUES (11,'html_allowed_tags_in_comments','<a><i><br><br/><b>',3);
INSERT INTO `plog_config` VALUES (12,'referer_tracker_enabled','1',1);
INSERT INTO `plog_config` VALUES (13,'rss_parser_enabled','1',1);
INSERT INTO `plog_config` VALUES (14,'show_more_enabled','1',1);
INSERT INTO `plog_config` VALUES (15,'show_more_threshold','150',1);
INSERT INTO `plog_config` VALUES (16,'update_article_reads','1',1);
INSERT INTO `plog_config` VALUES (17,'email_service_enabled','1',1);
INSERT INTO `plog_config` VALUES (18,'post_notification_source_address','noreply@your.host.com',3);
INSERT INTO `plog_config` VALUES (19,'request_format_mode','1',1);
INSERT INTO `plog_config` VALUES (20,'xmlrpc_ping_hosts','a:2:{i:0;s:27:\"http://rpc.weblogs.com/RPC2\";i:1;s:0:\"\";}',5);
INSERT INTO `plog_config` VALUES (21,'trackback_server_enabled','1',1);
INSERT INTO `plog_config` VALUES (22,'htmlarea_enabled','1',1);
INSERT INTO `plog_config` VALUES (23,'plugin_manager_enabled','1',1);
INSERT INTO `plog_config` VALUES (24,'check_email_address_validity','0',1);
INSERT INTO `plog_config` VALUES (25,'summary_page_show_max','15',1);
INSERT INTO `plog_config` VALUES (26,'minimum_password_length','4',1);
INSERT INTO `plog_config` VALUES (27,'templates','a:3:{i:0;s:7:\"blueish\";i:1;s:4:\"grey\";i:2;s:8:\"standard\";}',5);
INSERT INTO `plog_config` VALUES (28,'locales','a:9:{i:0;s:5:\"en_UK\";i:1;s:5:\"zh_TW\";i:2;s:5:\"de_DE\";i:3;s:5:\"zh_CN\";i:4;s:5:\"nb_NO\";i:5;s:5:\"fr_FR\";i:6;s:5:\"ca_ES\";i:7;s:5:\"es_ES\";i:8;s:5:\"pt_BR\";}',5);
INSERT INTO `plog_config` VALUES (29,'email_service_type','php',3);
INSERT INTO `plog_config` VALUES (30,'smtp_host','your.smtp.host.com',3);
INSERT INTO `plog_config` VALUES (31,'smtp_port','25',1);
INSERT INTO `plog_config` VALUES (32,'smtp_use_authentication','0',1);
INSERT INTO `plog_config` VALUES (33,'smtp_username','',3);
INSERT INTO `plog_config` VALUES (34,'smtp_password','',3);
INSERT INTO `plog_config` VALUES (35,'locale_folder','./locale',3);
INSERT INTO `plog_config` VALUES (36,'xmlrpc_ping_enabled','0',1);
INSERT INTO `plog_config` VALUES (37,'path_to_tar','',3);
INSERT INTO `plog_config` VALUES (38,'path_to_gzip','',3);
INSERT INTO `plog_config` VALUES (39,'path_to_bz2','',3);
INSERT INTO `plog_config` VALUES (40,'path_to_unzip','',3);
INSERT INTO `plog_config` VALUES (41,'users_can_add_templates','1',1);
INSERT INTO `plog_config` VALUES (42,'maximum_file_upload_size','2000000',1);
INSERT INTO `plog_config` VALUES (43,'upload_forbidden_files','*.php *.php3 *.php4 *.phtml *.htm *.html *.exe *.com *.bat .htaccess *.sh',3);
INSERT INTO `plog_config` VALUES (44,'comments_order','1',1);
INSERT INTO `plog_config` VALUES (45,'security_pipeline_enabled','1',1);
INSERT INTO `plog_config` VALUES (46,'maximum_comment_size','0',1);
INSERT INTO `plog_config` VALUES (47,'resources_enabled','1',1);
INSERT INTO `plog_config` VALUES (48,'thumbnail_method','gd',3);
INSERT INTO `plog_config` VALUES (49,'path_to_convert','',3);
INSERT INTO `plog_config` VALUES (50,'thumbnail_height','120',1);
INSERT INTO `plog_config` VALUES (51,'thumbnail_width','120',1);
INSERT INTO `plog_config` VALUES (52,'thumbnails_keep_aspect_ratio','1',1);
INSERT INTO `plog_config` VALUES (53,'xmlrpc_api_enabled','1',1);
INSERT INTO `plog_config` VALUES (54,'uploads_enabled','1',1);
INSERT INTO `plog_config` VALUES (55,'default_rss_profile','rss090',3);
INSERT INTO `plog_config` VALUES (56,'bayesian_filter_enabled','1',2);
INSERT INTO `plog_config` VALUES (57,'bayesian_filter_spam_probability_treshold','0.9',6);
INSERT INTO `plog_config` VALUES (58,'bayesian_filter_nonspam_probability_treshold','0.2',6);
INSERT INTO `plog_config` VALUES (59,'bayesian_filter_min_length_token','3',1);
INSERT INTO `plog_config` VALUES (60,'bayesian_filter_max_length_token','100',1);
INSERT INTO `plog_config` VALUES (61,'bayesian_filter_number_significant_tokens','15',1);
INSERT INTO `plog_config` VALUES (62,'bayesian_filter_spam_comments_action','0',1);
INSERT INTO `plog_config` VALUES (63,'ip_address_filter_enabled','1',1);
INSERT INTO `plog_config` VALUES (64,'content_filter_enabled','0',1);
INSERT INTO `plog_config` VALUES (65,'thumbnail_format','same',3);
INSERT INTO `plog_config` VALUES (66,'resources_folder','./gallery/',3);
INSERT INTO `plog_config` VALUES (67,'beautify_comments_text','1',1);
INSERT INTO `plog_config` VALUES (68,'disable_apache_error_handler','0',1);
INSERT INTO `plog_config` VALUES (69,'show_future_posts_in_calendar','0',1);
INSERT INTO `plog_config` VALUES (70,'xhtml_converter_enabled','1',1);
INSERT INTO `plog_config` VALUES (71,'xhtml_converter_aggresive_mode_enabled','0',1);
INSERT INTO `plog_config` VALUES (72,'search_engine_enabled','1',1);
INSERT INTO `plog_config` VALUES (73,'search_in_custom_fields','1',1);
INSERT INTO `plog_config` VALUES (74,'search_in_comments','1',1);
INSERT INTO `plog_config` VALUES (75,'resources_quota','0',1);
INSERT INTO `plog_config` VALUES (76,'category_link_format','/blog/{blogname}/{catname}$',3);
INSERT INTO `plog_config` VALUES (77,'blog_link_format','/blog/{blogname}$',3);
INSERT INTO `plog_config` VALUES (78,'archive_link_format','/blog/{blogname}/archives/{year}/?{month}/?{day}',3);
INSERT INTO `plog_config` VALUES (79,'user_posts_link_format','/blog/{blogname}/user/{username}$',3);
INSERT INTO `plog_config` VALUES (80,'post_trackbacks_link_format','/blog/{blogname}/post/trackbacks/{postname}$',3);
INSERT INTO `plog_config` VALUES (81,'template_link_format','/blog/{blogname}/page/{templatename}$',3);
INSERT INTO `plog_config` VALUES (82,'album_link_format','/blog/{blogname}/album/{albumname}$',3);
INSERT INTO `plog_config` VALUES (83,'resource_link_format','/blog/{blogname}/resource/{albumname}/{resourcename}$',3);
INSERT INTO `plog_config` VALUES (84,'resource_preview_link_format','/blog/{blogname}/resource/{albumname}/preview/{resourcename}$',3);
INSERT INTO `plog_config` VALUES (85,'resource_download_link_format','/blog/{blogname}/resource/{albumname}/download/{resourcename}$',3);
INSERT INTO `plog_config` VALUES (86,'permalink_format','/blog/{blogname}/{catname}/{year}/{month}/{day}/{postname}$',3);
INSERT INTO `plog_config` VALUES (87,'script_name','index.php',3);
INSERT INTO `plog_config` VALUES (88,'thumbnail_generator_use_smoothing_algorithm','0',1);
INSERT INTO `plog_config` VALUES (89,'resource_server_use_http_caching','1',1);
INSERT INTO `plog_config` VALUES (90,'medium_size_thumbnail_width','640',1);
INSERT INTO `plog_config` VALUES (91,'medium_size_thumbnail_height','480',1);
INSERT INTO `plog_config` VALUES (92,'resource_medium_size_preview_link_format','/blog/{blogname}/resource/{albumname}/preview-med/{resourcename}$',3);
INSERT INTO `plog_config` VALUES (93,'subdomains_enabled','0',1);
INSERT INTO `plog_config` VALUES (94,'include_blog_id_in_url','1',1);
INSERT INTO `plog_config` VALUES (95,'send_xmlrpc_pings_enabled_by_default','1',1);
INSERT INTO `plog_config` VALUES (96,'forbidden_usernames','admin www blog ftp wiki forums',3);
INSERT INTO `plog_config` VALUES (97,'force_registration_confirmation','0',1);
INSERT INTO `plog_config` VALUES (98,'summary_blogs_per_page','25',3);
INSERT INTO `plog_config` VALUES (99,'subdomains_base_url','',3);
INSERT INTO `plog_config` VALUES (100,'autosave_new_drafts_time_millis','300000',3);
INSERT INTO `plog_config` VALUES (101,'save_drafts_via_xmlhttprequest_enabled','1',1);
INSERT INTO `plog_config` VALUES (102,'need_email_confirm_registration','1',1);
INSERT INTO `plog_config` VALUES (103,'force_one_blog_per_email_account','0',1);
INSERT INTO `plog_config` VALUES (104,'summary_show_agreement','1',1);
INSERT INTO `plog_config` VALUES (105,'default_time_offset','0',3);
INSERT INTO `plog_config` VALUES (106,'template_cache_enabled','1',1);
INSERT INTO `plog_config` VALUES (107,'template_http_cache_enabled','0',1);
INSERT INTO `plog_config` VALUES (108,'template_http_cache_enabled','0',1);
INSERT INTO `plog_config` VALUES (109,'template_compile_check','1',1);
INSERT INTO `plog_config` VALUES (110,'update_cached_article_reads','1',1);
INSERT INTO `plog_config` VALUES (111,'allow_php_code_in_templates','0',1);
INSERT INTO `plog_config` VALUES (112,'thumbnail_generator_use_smoothing_algorithm','1',1);

--
-- Table structure for table `plog_custom_fields_definition`
--

CREATE TABLE `plog_custom_fields_definition` (
  `id` int(10) NOT NULL auto_increment,
  `field_name` varchar(255) NOT NULL default '',
  `field_description` text NOT NULL,
  `field_type` int(2) NOT NULL default '1',
  `blog_id` int(10) NOT NULL default '0',
  `date` timestamp(14) NOT NULL,
  `searchable` tinyint(1) default '1',
  `hidden` tinyint(1) default '1',
  PRIMARY KEY  (`id`,`field_name`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_custom_fields_definition`
--



--
-- Table structure for table `plog_custom_fields_values`
--

CREATE TABLE `plog_custom_fields_values` (
  `id` int(10) NOT NULL auto_increment,
  `field_id` int(10) NOT NULL default '0',
  `field_value` text NOT NULL,
  `normalized_value` text NOT NULL,
  `blog_id` int(10) default NULL,
  `article_id` int(10) default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `normalized_value` (`normalized_value`),
  KEY `blog_id` (`blog_id`),
  KEY `article_id` (`article_id`),
  KEY `field_id` (`field_id`),
  KEY `blog_id_article_id` (`blog_id`,`article_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_custom_fields_values`
--



--
-- Table structure for table `plog_filtered_content`
--

CREATE TABLE `plog_filtered_content` (
  `id` int(10) NOT NULL auto_increment,
  `reg_exp` text,
  `blog_id` int(10) NOT NULL default '0',
  `reason` text,
  `date` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_filtered_content`
--



--
-- Table structure for table `plog_gallery_albums`
--

CREATE TABLE `plog_gallery_albums` (
  `id` int(10) NOT NULL auto_increment,
  `owner_id` int(10) NOT NULL default '0',
  `description` text NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `flags` int(10) NOT NULL default '0',
  `parent_id` int(10) NOT NULL default '0',
  `date` timestamp(14) NOT NULL,
  `properties` text NOT NULL,
  `show_album` tinyint(1) default '1',
  `normalized_description` text NOT NULL,
  `normalized_name` varchar(255) NOT NULL default '',
  `mangled_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `owner_id` (`owner_id`),
  KEY `mangled_name` (`mangled_name`),
  KEY `owner_id_mangled_name` (`owner_id`,`mangled_name`),
  FULLTEXT KEY `normalized_name` (`normalized_name`),
  FULLTEXT KEY `normalized_description` (`normalized_description`),
  FULLTEXT KEY `normalized_fields` (`normalized_name`,`normalized_description`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_gallery_albums`
--



--
-- Table structure for table `plog_gallery_resources`
--

CREATE TABLE `plog_gallery_resources` (
  `id` int(10) NOT NULL auto_increment,
  `owner_id` int(10) NOT NULL default '0',
  `album_id` int(10) NOT NULL default '0',
  `description` text,
  `date` timestamp(14) NOT NULL,
  `flags` int(10) default '0',
  `resource_type` int(3) default NULL,
  `file_path` varchar(255) default '',
  `file_name` varchar(255) default '',
  `metadata` text,
  `thumbnail_format` varchar(4) NOT NULL default 'same',
  `normalized_description` text NOT NULL,
  `properties` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `album_id` (`album_id`),
  KEY `owner_id` (`owner_id`),
  KEY `file_name` (`file_name`),
  KEY `album_id_owner_id` (`album_id`,`owner_id`),
  KEY `resource_type` (`resource_type`),
  FULLTEXT KEY `normalized_description` (`normalized_description`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_gallery_resources`
--



--
-- Table structure for table `plog_host_blocking_rules`
--

CREATE TABLE `plog_host_blocking_rules` (
  `id` int(10) NOT NULL auto_increment,
  `reason` text,
  `date` timestamp(14) NOT NULL,
  `blog_id` int(10) NOT NULL default '0',
  `block_type` int(1) default '1',
  `list_type` int(1) default '1',
  `mask` int(2) default '0',
  `host` varchar(15) default '0.0.0.0',
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_host_blocking_rules`
--



--
-- Table structure for table `plog_mylinks`
--

CREATE TABLE `plog_mylinks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_id` int(10) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `name` varchar(100) default '',
  `description` text NOT NULL,
  `blog_id` int(10) unsigned NOT NULL default '0',
  `rss_feed` varchar(255) NOT NULL default '',
  `date` timestamp(14) NOT NULL,
  `properties` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`),
  KEY `category_id` (`category_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_mylinks`
--



--
-- Table structure for table `plog_mylinks_categories`
--

CREATE TABLE `plog_mylinks_categories` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `blog_id` int(10) NOT NULL default '0',
  `last_modification` timestamp(14) NOT NULL,
  `properties` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `blog_id` (`blog_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_mylinks_categories`
--



--
-- Table structure for table `plog_myrecent`
--

CREATE TABLE `plog_myrecent` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  `user_id` int(10) unsigned NOT NULL default '0',
  `blog_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_myrecent`
--



--
-- Table structure for table `plog_myrecent_categories`
--

CREATE TABLE `plog_myrecent_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `blog_id` int(10) unsigned NOT NULL default '0',
  `last_modification` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_myrecent_categories`
--



--
-- Table structure for table `plog_permissions`
--

CREATE TABLE `plog_permissions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `permission` varchar(25) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_permissions`
--



--
-- Table structure for table `plog_referers`
--

CREATE TABLE `plog_referers` (
  `id` int(10) NOT NULL auto_increment,
  `url` text NOT NULL,
  `article_id` int(10) NOT NULL default '0',
  `blog_id` int(10) NOT NULL default '0',
  `hits` int(10) default '1',
  `last_date` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`),
  KEY `blog_id` (`blog_id`),
  KEY `blog_id_article_id` (`blog_id`,`article_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_referers`
--



--
-- Table structure for table `plog_trackbacks`
--

CREATE TABLE `plog_trackbacks` (
  `id` int(10) NOT NULL auto_increment,
  `url` text NOT NULL,
  `title` varchar(255) default '',
  `article_id` int(10) NOT NULL default '0',
  `excerpt` varchar(255) default '',
  `blog_name` varchar(255) default '',
  `date` timestamp(14) NOT NULL,
  `properties` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `article_id` (`article_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_trackbacks`
--



--
-- Table structure for table `plog_users`
--

CREATE TABLE `plog_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` varchar(15) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `full_name` varchar(255) NOT NULL default '',
  `about` text,
  `properties` text NOT NULL,
  `status` int(4) NOT NULL default '1',
  `resource_picture_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `user` (`user`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_users`
--


INSERT INTO `plog_users` VALUES (1,'@@ADMIN_NAME@@','@@ADMIN_PASSWD@@','@@ADMIN_EMAIL@@','@@ADMIN_FULLNAME@@','','a:0:{}',1,0);

--
-- Table structure for table `plog_users_permissions`
--

CREATE TABLE `plog_users_permissions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL default '0',
  `blog_id` int(10) unsigned NOT NULL default '0',
  `permission_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `blog_id` (`blog_id`),
  KEY `user_id_permission_id` (`user_id`,`permission_id`)
) TYPE=MyISAM;

--
-- Dumping data for table `plog_users_permissions`
--


INSERT INTO `plog_users_permissions` VALUES (1,1,0,1);

